To: Frank Rosendahl <frank.rosendahl@schwaben.de>
Cc: "linux-m68k@lists.linux-m68k.org" <linux-m68k@lists.linux-m68k.org>
Subject: Re: AW: L68K: A4000T SCSI + Linux 2.0.31pre2 (sunsite.auc.dk Amiga kernel)
References: <01BCE20B.A1A51700@frw.dragon.de> <d3n2jwpu3q.fsf@cern.ch>
From: Jes Sorensen <Jes.Sorensen@cern.ch>
Date: 26 Oct 1997 15:33:09 +0100
In-Reply-To: Jes Sorensen's message of 26 Oct 1997 13:49:29 +0100
Sender: owner-linux-m68k@phil.uni-sb.de

>>>>> "Jes" == Jes Sorensen <Jes.Sorensen@cern.ch> writes:

Jes> Unfortunately I didn't do it properly - I forgot that we still
Jes> use the $#@$@# MACHSPEC bit in 2.0.x - could you please try the
Jes> patch included below.

Urgh - some day I will probably learn.

Jes

--- /tmp/amiga7xx.c	Sun Oct 26 14:33:30 1997
+++ drivers/scsi/amiga7xx.c	Sun Oct 26 14:34:38 1997
@@ -65,8 +65,8 @@
 	clock = 50000000;	/* 50MHz SCSI Clock */
 
 	ncr53c7xx_init(tpnt, 0, 710, (u32)(unsigned char *)(address + 0x40000),
-			0, IRQ_AMIGA_PORTS, DMA_NONE, 
-			options, clock);
+		       0, IRQ_AMIGA_PORTS & ~IRQ_MACHSPEC, DMA_NONE, 
+		       options, clock);
 
 	zorro_config_board(key, 0);
 	num++;
@@ -80,9 +80,10 @@
 
 	clock = 50000000;	/* 50MHz SCSI Clock */
 
-    	ncr53c7xx_init(tpnt, 0, 710, (u32)(unsigned char *)ZTWO_VADDR(0xDD0040),
-			0, IRQ_AMIGA_PORTS, DMA_NONE,
-			options, clock);
+    	ncr53c7xx_init(tpnt, 0, 710,
+		       (u32)(unsigned char *)ZTWO_VADDR(0xDD0040),
+		       0, IRQ_AMIGA_PORTS & ~IRQ_MACHSPEC, DMA_NONE,
+		       options, clock);
     	num++;
     }
 #endif
@@ -100,7 +101,8 @@
 	clock = 50000000;	/* 50MHz SCSI Clock */
 
     	ncr53c7xx_init(tpnt, 0, 710, (u32)(unsigned char *)(address+0x800000),
-			0, IRQ_AMIGA_PORTS, DMA_NONE, options, clock);
+		       0, IRQ_AMIGA_PORTS & ~IRQ_MACHSPEC,
+		       DMA_NONE, options, clock);
 
 	zorro_config_board(key, 0);
 	num++;
--- /tmp/53c7xx.c	Sun Oct 26 14:39:43 1997
+++ drivers/scsi/53c7xx.c	Sun Oct 26 14:40:01 1997
@@ -1068,7 +1068,7 @@
 
     if (!search) {
 #ifdef CONFIG_AMIGA
-	if (request_irq(IRQ_AMIGA_PORTS, NCR53c7x0_intr, 0, "53c7xx", NCR53c7x0_intr)) {
+	if (request_irq(host->irq, NCR53c7x0_intr, 0, "53c7xx", NCR53c7x0_intr)) {
 #else
 	if (request_irq(host->irq, NCR53c7x0_intr, SA_INTERRUPT, "53c7xx", NULL)) {
 #endif
